﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class StructuredDataInstances
    {
        [NotNull]
        static public StructuredData Instance0 => new StructuredData();

        [NotNull]
        static public StructuredData Instance1 => new StructuredData(StructuredDataTypeInstances.Instance5);

        [NotNull]
        static public StructuredData Instance2 => new StructuredData(StructuredDataTypeInstances.Instance5)
        {
            {"fieldName1", OpaqueDataInstances.Instance0}
        };

        [NotNull]
        static public StructuredData Instance3 => new StructuredData(StructuredDataTypeInstances.Instance5)
        {
            {"fieldName1", OpaqueDataInstances.Instance2},
            {"fieldName2", EnumerationDataInstances.Instance2},
            {"fieldName3", Instance2}
        };
    }
}
