﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents
{
    static public class AESubscriptionFilterInstances
    {
        [NotNull]
        static public AESubscriptionFilter Instance1 => new AESubscriptionFilter
        {
            Areas = new AENodeDescriptor[] { "TestArea1" },
            Categories = new[] { 11111111L, 11111112L },
            EventTypes = AEEventTypes.All,
            HighSeverity = 600,
            LowSeverity = 500,
            Sources = new AENodeDescriptor[] { "TestSource1", "TestSource2" }
        };
    }
}
