﻿
using JetBrains.Annotations;
using OpcLabs.BaseLib.Configuration;
using OpcLabs.BaseLibFactory.Extensibility;
using OpcLabs.BaseLibFactory.IdentityModel.User;

namespace OpcLabs.BaseLibFactory.Configuration
{
    public class ConfigurationPartCollectionInstances
    {
        [NotNull]
        static public ConfigurationPartCollection Instance0 => new ConfigurationPartCollection();

        [NotNull]
        static public ConfigurationPartCollection Instance1 => new ConfigurationPartCollection
            {ParametersInstances.Instance0};

        [NotNull] static public ConfigurationPartCollection Instance2 => new ConfigurationPartCollection
        {
            ParametersInstances.Instance0,
            PluginSetupInstances.Instance1,
            UserIdentityInstances.Instance1
        };
    }
}
