﻿
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.OperationModel;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class UANodeElementCollectionResultInstances
    {
        [NotNull]
        static public UANodeElementCollectionResult Instance0 => new UANodeElementCollectionResult();

        [NotNull]
        static public UANodeElementCollectionResult Instance1 => new UANodeElementCollectionResult("TestState1", UANodeElementCollection.Empty);

        [NotNull]
        static public UANodeElementCollectionResult Instance2 => new UANodeElementCollectionResult(222, UANodeElementCollectionInstances.Instance1);

        [NotNull]
        static public UANodeElementCollectionResult Instance3 => new UANodeElementCollectionResult(333.3d, UANodeElementCollectionInstances.Instance2);

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UANodeElementCollectionResult Instance4 => new UANodeElementCollectionResult(null, new COMException("TestMessage", 918273645), null);

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UANodeElementCollectionResult Instance5 => new UANodeElementCollectionResult(null, new COMException("TestMessage1", new COMException("TestMessage2")), null);
    }
}
