﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib;
using OpcLabs.BaseLib.Extensions;
using OpcLabs.BaseLib.Extensions.Internal;

namespace OpcLabs.BaseLibTest.Extensions
{
    [TestClass]
    public class BooleanExtensionTest
    {
        [TestMethod]
        // ReSharper disable InconsistentNaming
        public void ToSign_FalseTest()
        // ReSharper restore InconsistentNaming
        {
            Assert.AreEqual(Sign.Negative, false.ToSign());
        }

        [TestMethod]
        // ReSharper disable InconsistentNaming
        public void ToSign_TrueTest()
        // ReSharper restore InconsistentNaming
        {
            Assert.AreEqual(Sign.Positive, true.ToSign());
        }
    }
}
